%global pypi_name python-snappy

Summary:        Python library for the snappy compression library from Google
Name:           python-snappy
Version:        0.6.1
Release:        3%{?dist}
License:        BSD
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        %{pypi_source}

BuildRequires:  gcc-c++
BuildRequires:  snappy-devel

%description
Snappy is a compression/decompression library. This package provides python bindings for the 
snappy compression library from Google.


%package -n     python3-snappy
Summary:        Python library for the snappy compression library from Google
BuildRequires:  gcc-c++
BuildRequires:  python3-devel python3-setuptools python3-cffi
BuildRequires:  snappy-devel
Requires:       python3-cffi
Requires:       snappy
Provides:       python3-snappy = %{version}-%{release}

%description -n python3-snappy
Snappy is a compression/decompression library. This package provides python3 bindings for the 
snappy compression library from Google.


%prep
%autosetup -n %{pypi_name}-%{version}


%build
%py3_build


%install
%py3_install

sed -i '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python3_sitearch}/snappy/snappy.py


%files -n python3-snappy
%license LICENSE
%doc README.rst AUTHORS
%{python3_sitearch}/python_snappy-%{version}-py%{python3_version}.egg-info/
%{python3_sitearch}/snappy/


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-3
- Rebuilt for python 3.11

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 26 2023 Wang Guodong <gordonwwang@tencent.com> - 0.6.1-1
- initial build
